SFRONT(1)

NAME
sfront - MPEG 4 Structured Audio decoder.

SYNOPSIS
sfront [options]

DESCRIPTION
This manual page documents briefly the sfront command. This manual page was written for the Debian distribution because the original program does not have a general manual page. Instead, it has documentation in the HTML format; see below.

sfront is a program that compiles MPEG 4 Structured Audio (MP4-SA) bitstreams into efficient C programs that generate audio when executed. It supports real-time, low-latency audio input/output and MIDI input from soundcards.

You must compile the C file generated after sfront execution with a C compiler, and execute the resulting program to get the audio output.

OPTIONS
A summary of the most important options is included below. For a complete description, see the HTML manual.

-help
    Show summary of all of the options.

-o c_file
    Write the C output to the file c_file

-bit mp4_file
    Use the MPEG4 binary file mp4_file as input file.

-bitc mp4_file
    Use the MPEG4 binary file mp4_file as input file. Skip its streaming data.

-orc orchestra_file
    Use the textual SAOL file orchestra_file as orchestra input file.

-sco score_file
    Use the textual SASL file score_file as score input file.

-sstr score_file
    Use the stream-encoded SASL file score_file as score input file.

-midi midi_file
    Use the MIDI file midi_file as score input file.

-mstr midi_file
    Use the streamed MIDI file midi_file as score input file.

SEE ALSO
On Debian systems you can find the sfront related documentation in /usr/share/doc/sfront/html/index.html. Included there are:

The Sfront Reference Manual by John Lazzaro and John Wawrzynek.

The MPEG-4 Structured Audio Book by John Lazzaro and John Wawrzynek.

AUTHOR
This manual page was written by Enrique Robledo Arnuncio <era@debian.org>, for the Debian system (but may be used by others).